IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/92
Addresses2^36
/64 networksPart of one
- Network
2001:db8::740:0:0/92- First address
2001:db8::740:0:0- Last address
2001:db8::74f:ffff:ffff- Addresses
- 68,719,476,736 (2^36)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0000:0740:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
4.7.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::740:0:0/92 makes 256 subnets of /100.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::740:0:0/100 | 2001:db8::740:fff:ffff |
| 2 | 2001:db8::740:1000:0/100 | 2001:db8::740:1fff:ffff |
| 3 | 2001:db8::740:2000:0/100 | 2001:db8::740:2fff:ffff |
| 4 | 2001:db8::740:3000:0/100 | 2001:db8::740:3fff:ffff |
| 5 | 2001:db8::740:4000:0/100 | 2001:db8::740:4fff:ffff |
| 6 | 2001:db8::740:5000:0/100 | 2001:db8::740:5fff:ffff |
| 7 | 2001:db8::740:6000:0/100 | 2001:db8::740:6fff:ffff |
| 8 | 2001:db8::740:7000:0/100 | 2001:db8::740:7fff:ffff |
| 9 | 2001:db8::740:8000:0/100 | 2001:db8::740:8fff:ffff |
| 10 | 2001:db8::740:9000:0/100 | 2001:db8::740:9fff:ffff |
| 11 | 2001:db8::740:a000:0/100 | 2001:db8::740:afff:ffff |
| 12 | 2001:db8::740:b000:0/100 | 2001:db8::740:bfff:ffff |
| 13 | 2001:db8::740:c000:0/100 | 2001:db8::740:cfff:ffff |
| 14 | 2001:db8::740:d000:0/100 | 2001:db8::740:dfff:ffff |
| 15 | 2001:db8::740:e000:0/100 | 2001:db8::740:efff:ffff |
| 16 | 2001:db8::740:f000:0/100 | 2001:db8::740:ffff:ffff |
| 17 | 2001:db8::741:0:0/100 | 2001:db8::741:fff:ffff |
| 18 | 2001:db8::741:1000:0/100 | 2001:db8::741:1fff:ffff |
| 19 | 2001:db8::741:2000:0/100 | 2001:db8::741:2fff:ffff |
| 20 | 2001:db8::741:3000:0/100 | 2001:db8::741:3fff:ffff |
| 21 | 2001:db8::741:4000:0/100 | 2001:db8::741:4fff:ffff |
| 22 | 2001:db8::741:5000:0/100 | 2001:db8::741:5fff:ffff |
| 23 | 2001:db8::741:6000:0/100 | 2001:db8::741:6fff:ffff |
| 24 | 2001:db8::741:7000:0/100 | 2001:db8::741:7fff:ffff |
| 25 | 2001:db8::741:8000:0/100 | 2001:db8::741:8fff:ffff |
| 26 | 2001:db8::741:9000:0/100 | 2001:db8::741:9fff:ffff |
| 27 | 2001:db8::741:a000:0/100 | 2001:db8::741:afff:ffff |
| 28 | 2001:db8::741:b000:0/100 | 2001:db8::741:bfff:ffff |
| 29 | 2001:db8::741:c000:0/100 | 2001:db8::741:cfff:ffff |
| 30 | 2001:db8::741:d000:0/100 | 2001:db8::741:dfff:ffff |
| 31 | 2001:db8::741:e000:0/100 | 2001:db8::741:efff:ffff |
| 32 | 2001:db8::741:f000:0/100 | 2001:db8::741:ffff:ffff |
| 33 | 2001:db8::742:0:0/100 | 2001:db8::742:fff:ffff |
| 34 | 2001:db8::742:1000:0/100 | 2001:db8::742:1fff:ffff |
| 35 | 2001:db8::742:2000:0/100 | 2001:db8::742:2fff:ffff |
| 36 | 2001:db8::742:3000:0/100 | 2001:db8::742:3fff:ffff |
| 37 | 2001:db8::742:4000:0/100 | 2001:db8::742:4fff:ffff |
| 38 | 2001:db8::742:5000:0/100 | 2001:db8::742:5fff:ffff |
| 39 | 2001:db8::742:6000:0/100 | 2001:db8::742:6fff:ffff |
| 40 | 2001:db8::742:7000:0/100 | 2001:db8::742:7fff:ffff |
| 41 | 2001:db8::742:8000:0/100 | 2001:db8::742:8fff:ffff |
| 42 | 2001:db8::742:9000:0/100 | 2001:db8::742:9fff:ffff |
| 43 | 2001:db8::742:a000:0/100 | 2001:db8::742:afff:ffff |
| 44 | 2001:db8::742:b000:0/100 | 2001:db8::742:bfff:ffff |
| 45 | 2001:db8::742:c000:0/100 | 2001:db8::742:cfff:ffff |
| 46 | 2001:db8::742:d000:0/100 | 2001:db8::742:dfff:ffff |
| 47 | 2001:db8::742:e000:0/100 | 2001:db8::742:efff:ffff |
| 48 | 2001:db8::742:f000:0/100 | 2001:db8::742:ffff:ffff |
| 49 | 2001:db8::743:0:0/100 | 2001:db8::743:fff:ffff |
| 50 | 2001:db8::743:1000:0/100 | 2001:db8::743:1fff:ffff |
| 51 | 2001:db8::743:2000:0/100 | 2001:db8::743:2fff:ffff |
| 52 | 2001:db8::743:3000:0/100 | 2001:db8::743:3fff:ffff |
| 53 | 2001:db8::743:4000:0/100 | 2001:db8::743:4fff:ffff |
| 54 | 2001:db8::743:5000:0/100 | 2001:db8::743:5fff:ffff |
| 55 | 2001:db8::743:6000:0/100 | 2001:db8::743:6fff:ffff |
| 56 | 2001:db8::743:7000:0/100 | 2001:db8::743:7fff:ffff |
| 57 | 2001:db8::743:8000:0/100 | 2001:db8::743:8fff:ffff |
| 58 | 2001:db8::743:9000:0/100 | 2001:db8::743:9fff:ffff |
| 59 | 2001:db8::743:a000:0/100 | 2001:db8::743:afff:ffff |
| 60 | 2001:db8::743:b000:0/100 | 2001:db8::743:bfff:ffff |
| 61 | 2001:db8::743:c000:0/100 | 2001:db8::743:cfff:ffff |
| 62 | 2001:db8::743:d000:0/100 | 2001:db8::743:dfff:ffff |
| 63 | 2001:db8::743:e000:0/100 | 2001:db8::743:efff:ffff |
| 64 | 2001:db8::743:f000:0/100 | 2001:db8::743:ffff:ffff |
| 65 | 2001:db8::744:0:0/100 | 2001:db8::744:fff:ffff |
| 66 | 2001:db8::744:1000:0/100 | 2001:db8::744:1fff:ffff |
| 67 | 2001:db8::744:2000:0/100 | 2001:db8::744:2fff:ffff |
| 68 | 2001:db8::744:3000:0/100 | 2001:db8::744:3fff:ffff |
| 69 | 2001:db8::744:4000:0/100 | 2001:db8::744:4fff:ffff |
| 70 | 2001:db8::744:5000:0/100 | 2001:db8::744:5fff:ffff |
| 71 | 2001:db8::744:6000:0/100 | 2001:db8::744:6fff:ffff |
| 72 | 2001:db8::744:7000:0/100 | 2001:db8::744:7fff:ffff |
| 73 | 2001:db8::744:8000:0/100 | 2001:db8::744:8fff:ffff |
| 74 | 2001:db8::744:9000:0/100 | 2001:db8::744:9fff:ffff |
| 75 | 2001:db8::744:a000:0/100 | 2001:db8::744:afff:ffff |
| 76 | 2001:db8::744:b000:0/100 | 2001:db8::744:bfff:ffff |
| 77 | 2001:db8::744:c000:0/100 | 2001:db8::744:cfff:ffff |
| 78 | 2001:db8::744:d000:0/100 | 2001:db8::744:dfff:ffff |
| 79 | 2001:db8::744:e000:0/100 | 2001:db8::744:efff:ffff |
| 80 | 2001:db8::744:f000:0/100 | 2001:db8::744:ffff:ffff |
| 81 | 2001:db8::745:0:0/100 | 2001:db8::745:fff:ffff |
| 82 | 2001:db8::745:1000:0/100 | 2001:db8::745:1fff:ffff |
| 83 | 2001:db8::745:2000:0/100 | 2001:db8::745:2fff:ffff |
| 84 | 2001:db8::745:3000:0/100 | 2001:db8::745:3fff:ffff |
| 85 | 2001:db8::745:4000:0/100 | 2001:db8::745:4fff:ffff |
| 86 | 2001:db8::745:5000:0/100 | 2001:db8::745:5fff:ffff |
| 87 | 2001:db8::745:6000:0/100 | 2001:db8::745:6fff:ffff |
| 88 | 2001:db8::745:7000:0/100 | 2001:db8::745:7fff:ffff |
| 89 | 2001:db8::745:8000:0/100 | 2001:db8::745:8fff:ffff |
| 90 | 2001:db8::745:9000:0/100 | 2001:db8::745:9fff:ffff |
| 91 | 2001:db8::745:a000:0/100 | 2001:db8::745:afff:ffff |
| 92 | 2001:db8::745:b000:0/100 | 2001:db8::745:bfff:ffff |
| 93 | 2001:db8::745:c000:0/100 | 2001:db8::745:cfff:ffff |
| 94 | 2001:db8::745:d000:0/100 | 2001:db8::745:dfff:ffff |
| 95 | 2001:db8::745:e000:0/100 | 2001:db8::745:efff:ffff |
| 96 | 2001:db8::745:f000:0/100 | 2001:db8::745:ffff:ffff |
| 97 | 2001:db8::746:0:0/100 | 2001:db8::746:fff:ffff |
| 98 | 2001:db8::746:1000:0/100 | 2001:db8::746:1fff:ffff |
| 99 | 2001:db8::746:2000:0/100 | 2001:db8::746:2fff:ffff |
| 100 | 2001:db8::746:3000:0/100 | 2001:db8::746:3fff:ffff |
| 101 | 2001:db8::746:4000:0/100 | 2001:db8::746:4fff:ffff |
| 102 | 2001:db8::746:5000:0/100 | 2001:db8::746:5fff:ffff |
| 103 | 2001:db8::746:6000:0/100 | 2001:db8::746:6fff:ffff |
| 104 | 2001:db8::746:7000:0/100 | 2001:db8::746:7fff:ffff |
| 105 | 2001:db8::746:8000:0/100 | 2001:db8::746:8fff:ffff |
| 106 | 2001:db8::746:9000:0/100 | 2001:db8::746:9fff:ffff |
| 107 | 2001:db8::746:a000:0/100 | 2001:db8::746:afff:ffff |
| 108 | 2001:db8::746:b000:0/100 | 2001:db8::746:bfff:ffff |
| 109 | 2001:db8::746:c000:0/100 | 2001:db8::746:cfff:ffff |
| 110 | 2001:db8::746:d000:0/100 | 2001:db8::746:dfff:ffff |
| 111 | 2001:db8::746:e000:0/100 | 2001:db8::746:efff:ffff |
| 112 | 2001:db8::746:f000:0/100 | 2001:db8::746:ffff:ffff |
| 113 | 2001:db8::747:0:0/100 | 2001:db8::747:fff:ffff |
| 114 | 2001:db8::747:1000:0/100 | 2001:db8::747:1fff:ffff |
| 115 | 2001:db8::747:2000:0/100 | 2001:db8::747:2fff:ffff |
| 116 | 2001:db8::747:3000:0/100 | 2001:db8::747:3fff:ffff |
| 117 | 2001:db8::747:4000:0/100 | 2001:db8::747:4fff:ffff |
| 118 | 2001:db8::747:5000:0/100 | 2001:db8::747:5fff:ffff |
| 119 | 2001:db8::747:6000:0/100 | 2001:db8::747:6fff:ffff |
| 120 | 2001:db8::747:7000:0/100 | 2001:db8::747:7fff:ffff |
| 121 | 2001:db8::747:8000:0/100 | 2001:db8::747:8fff:ffff |
| 122 | 2001:db8::747:9000:0/100 | 2001:db8::747:9fff:ffff |
| 123 | 2001:db8::747:a000:0/100 | 2001:db8::747:afff:ffff |
| 124 | 2001:db8::747:b000:0/100 | 2001:db8::747:bfff:ffff |
| 125 | 2001:db8::747:c000:0/100 | 2001:db8::747:cfff:ffff |
| 126 | 2001:db8::747:d000:0/100 | 2001:db8::747:dfff:ffff |
| 127 | 2001:db8::747:e000:0/100 | 2001:db8::747:efff:ffff |
| 128 | 2001:db8::747:f000:0/100 | 2001:db8::747:ffff:ffff |
| 129 | 2001:db8::748:0:0/100 | 2001:db8::748:fff:ffff |
| 130 | 2001:db8::748:1000:0/100 | 2001:db8::748:1fff:ffff |
| 131 | 2001:db8::748:2000:0/100 | 2001:db8::748:2fff:ffff |
| 132 | 2001:db8::748:3000:0/100 | 2001:db8::748:3fff:ffff |
| 133 | 2001:db8::748:4000:0/100 | 2001:db8::748:4fff:ffff |
| 134 | 2001:db8::748:5000:0/100 | 2001:db8::748:5fff:ffff |
| 135 | 2001:db8::748:6000:0/100 | 2001:db8::748:6fff:ffff |
| 136 | 2001:db8::748:7000:0/100 | 2001:db8::748:7fff:ffff |
| 137 | 2001:db8::748:8000:0/100 | 2001:db8::748:8fff:ffff |
| 138 | 2001:db8::748:9000:0/100 | 2001:db8::748:9fff:ffff |
| 139 | 2001:db8::748:a000:0/100 | 2001:db8::748:afff:ffff |
| 140 | 2001:db8::748:b000:0/100 | 2001:db8::748:bfff:ffff |
| 141 | 2001:db8::748:c000:0/100 | 2001:db8::748:cfff:ffff |
| 142 | 2001:db8::748:d000:0/100 | 2001:db8::748:dfff:ffff |
| 143 | 2001:db8::748:e000:0/100 | 2001:db8::748:efff:ffff |
| 144 | 2001:db8::748:f000:0/100 | 2001:db8::748:ffff:ffff |
| 145 | 2001:db8::749:0:0/100 | 2001:db8::749:fff:ffff |
| 146 | 2001:db8::749:1000:0/100 | 2001:db8::749:1fff:ffff |
| 147 | 2001:db8::749:2000:0/100 | 2001:db8::749:2fff:ffff |
| 148 | 2001:db8::749:3000:0/100 | 2001:db8::749:3fff:ffff |
| 149 | 2001:db8::749:4000:0/100 | 2001:db8::749:4fff:ffff |
| 150 | 2001:db8::749:5000:0/100 | 2001:db8::749:5fff:ffff |
| 151 | 2001:db8::749:6000:0/100 | 2001:db8::749:6fff:ffff |
| 152 | 2001:db8::749:7000:0/100 | 2001:db8::749:7fff:ffff |
| 153 | 2001:db8::749:8000:0/100 | 2001:db8::749:8fff:ffff |
| 154 | 2001:db8::749:9000:0/100 | 2001:db8::749:9fff:ffff |
| 155 | 2001:db8::749:a000:0/100 | 2001:db8::749:afff:ffff |
| 156 | 2001:db8::749:b000:0/100 | 2001:db8::749:bfff:ffff |
| 157 | 2001:db8::749:c000:0/100 | 2001:db8::749:cfff:ffff |
| 158 | 2001:db8::749:d000:0/100 | 2001:db8::749:dfff:ffff |
| 159 | 2001:db8::749:e000:0/100 | 2001:db8::749:efff:ffff |
| 160 | 2001:db8::749:f000:0/100 | 2001:db8::749:ffff:ffff |
| 161 | 2001:db8::74a:0:0/100 | 2001:db8::74a:fff:ffff |
| 162 | 2001:db8::74a:1000:0/100 | 2001:db8::74a:1fff:ffff |
| 163 | 2001:db8::74a:2000:0/100 | 2001:db8::74a:2fff:ffff |
| 164 | 2001:db8::74a:3000:0/100 | 2001:db8::74a:3fff:ffff |
| 165 | 2001:db8::74a:4000:0/100 | 2001:db8::74a:4fff:ffff |
| 166 | 2001:db8::74a:5000:0/100 | 2001:db8::74a:5fff:ffff |
| 167 | 2001:db8::74a:6000:0/100 | 2001:db8::74a:6fff:ffff |
| 168 | 2001:db8::74a:7000:0/100 | 2001:db8::74a:7fff:ffff |
| 169 | 2001:db8::74a:8000:0/100 | 2001:db8::74a:8fff:ffff |
| 170 | 2001:db8::74a:9000:0/100 | 2001:db8::74a:9fff:ffff |
| 171 | 2001:db8::74a:a000:0/100 | 2001:db8::74a:afff:ffff |
| 172 | 2001:db8::74a:b000:0/100 | 2001:db8::74a:bfff:ffff |
| 173 | 2001:db8::74a:c000:0/100 | 2001:db8::74a:cfff:ffff |
| 174 | 2001:db8::74a:d000:0/100 | 2001:db8::74a:dfff:ffff |
| 175 | 2001:db8::74a:e000:0/100 | 2001:db8::74a:efff:ffff |
| 176 | 2001:db8::74a:f000:0/100 | 2001:db8::74a:ffff:ffff |
| 177 | 2001:db8::74b:0:0/100 | 2001:db8::74b:fff:ffff |
| 178 | 2001:db8::74b:1000:0/100 | 2001:db8::74b:1fff:ffff |
| 179 | 2001:db8::74b:2000:0/100 | 2001:db8::74b:2fff:ffff |
| 180 | 2001:db8::74b:3000:0/100 | 2001:db8::74b:3fff:ffff |
| 181 | 2001:db8::74b:4000:0/100 | 2001:db8::74b:4fff:ffff |
| 182 | 2001:db8::74b:5000:0/100 | 2001:db8::74b:5fff:ffff |
| 183 | 2001:db8::74b:6000:0/100 | 2001:db8::74b:6fff:ffff |
| 184 | 2001:db8::74b:7000:0/100 | 2001:db8::74b:7fff:ffff |
| 185 | 2001:db8::74b:8000:0/100 | 2001:db8::74b:8fff:ffff |
| 186 | 2001:db8::74b:9000:0/100 | 2001:db8::74b:9fff:ffff |
| 187 | 2001:db8::74b:a000:0/100 | 2001:db8::74b:afff:ffff |
| 188 | 2001:db8::74b:b000:0/100 | 2001:db8::74b:bfff:ffff |
| 189 | 2001:db8::74b:c000:0/100 | 2001:db8::74b:cfff:ffff |
| 190 | 2001:db8::74b:d000:0/100 | 2001:db8::74b:dfff:ffff |
| 191 | 2001:db8::74b:e000:0/100 | 2001:db8::74b:efff:ffff |
| 192 | 2001:db8::74b:f000:0/100 | 2001:db8::74b:ffff:ffff |
| 193 | 2001:db8::74c:0:0/100 | 2001:db8::74c:fff:ffff |
| 194 | 2001:db8::74c:1000:0/100 | 2001:db8::74c:1fff:ffff |
| 195 | 2001:db8::74c:2000:0/100 | 2001:db8::74c:2fff:ffff |
| 196 | 2001:db8::74c:3000:0/100 | 2001:db8::74c:3fff:ffff |
| 197 | 2001:db8::74c:4000:0/100 | 2001:db8::74c:4fff:ffff |
| 198 | 2001:db8::74c:5000:0/100 | 2001:db8::74c:5fff:ffff |
| 199 | 2001:db8::74c:6000:0/100 | 2001:db8::74c:6fff:ffff |
| 200 | 2001:db8::74c:7000:0/100 | 2001:db8::74c:7fff:ffff |
| 201 | 2001:db8::74c:8000:0/100 | 2001:db8::74c:8fff:ffff |
| 202 | 2001:db8::74c:9000:0/100 | 2001:db8::74c:9fff:ffff |
| 203 | 2001:db8::74c:a000:0/100 | 2001:db8::74c:afff:ffff |
| 204 | 2001:db8::74c:b000:0/100 | 2001:db8::74c:bfff:ffff |
| 205 | 2001:db8::74c:c000:0/100 | 2001:db8::74c:cfff:ffff |
| 206 | 2001:db8::74c:d000:0/100 | 2001:db8::74c:dfff:ffff |
| 207 | 2001:db8::74c:e000:0/100 | 2001:db8::74c:efff:ffff |
| 208 | 2001:db8::74c:f000:0/100 | 2001:db8::74c:ffff:ffff |
| 209 | 2001:db8::74d:0:0/100 | 2001:db8::74d:fff:ffff |
| 210 | 2001:db8::74d:1000:0/100 | 2001:db8::74d:1fff:ffff |
| 211 | 2001:db8::74d:2000:0/100 | 2001:db8::74d:2fff:ffff |
| 212 | 2001:db8::74d:3000:0/100 | 2001:db8::74d:3fff:ffff |
| 213 | 2001:db8::74d:4000:0/100 | 2001:db8::74d:4fff:ffff |
| 214 | 2001:db8::74d:5000:0/100 | 2001:db8::74d:5fff:ffff |
| 215 | 2001:db8::74d:6000:0/100 | 2001:db8::74d:6fff:ffff |
| 216 | 2001:db8::74d:7000:0/100 | 2001:db8::74d:7fff:ffff |
| 217 | 2001:db8::74d:8000:0/100 | 2001:db8::74d:8fff:ffff |
| 218 | 2001:db8::74d:9000:0/100 | 2001:db8::74d:9fff:ffff |
| 219 | 2001:db8::74d:a000:0/100 | 2001:db8::74d:afff:ffff |
| 220 | 2001:db8::74d:b000:0/100 | 2001:db8::74d:bfff:ffff |
| 221 | 2001:db8::74d:c000:0/100 | 2001:db8::74d:cfff:ffff |
| 222 | 2001:db8::74d:d000:0/100 | 2001:db8::74d:dfff:ffff |
| 223 | 2001:db8::74d:e000:0/100 | 2001:db8::74d:efff:ffff |
| 224 | 2001:db8::74d:f000:0/100 | 2001:db8::74d:ffff:ffff |
| 225 | 2001:db8::74e:0:0/100 | 2001:db8::74e:fff:ffff |
| 226 | 2001:db8::74e:1000:0/100 | 2001:db8::74e:1fff:ffff |
| 227 | 2001:db8::74e:2000:0/100 | 2001:db8::74e:2fff:ffff |
| 228 | 2001:db8::74e:3000:0/100 | 2001:db8::74e:3fff:ffff |
| 229 | 2001:db8::74e:4000:0/100 | 2001:db8::74e:4fff:ffff |
| 230 | 2001:db8::74e:5000:0/100 | 2001:db8::74e:5fff:ffff |
| 231 | 2001:db8::74e:6000:0/100 | 2001:db8::74e:6fff:ffff |
| 232 | 2001:db8::74e:7000:0/100 | 2001:db8::74e:7fff:ffff |
| 233 | 2001:db8::74e:8000:0/100 | 2001:db8::74e:8fff:ffff |
| 234 | 2001:db8::74e:9000:0/100 | 2001:db8::74e:9fff:ffff |
| 235 | 2001:db8::74e:a000:0/100 | 2001:db8::74e:afff:ffff |
| 236 | 2001:db8::74e:b000:0/100 | 2001:db8::74e:bfff:ffff |
| 237 | 2001:db8::74e:c000:0/100 | 2001:db8::74e:cfff:ffff |
| 238 | 2001:db8::74e:d000:0/100 | 2001:db8::74e:dfff:ffff |
| 239 | 2001:db8::74e:e000:0/100 | 2001:db8::74e:efff:ffff |
| 240 | 2001:db8::74e:f000:0/100 | 2001:db8::74e:ffff:ffff |
| 241 | 2001:db8::74f:0:0/100 | 2001:db8::74f:fff:ffff |
| 242 | 2001:db8::74f:1000:0/100 | 2001:db8::74f:1fff:ffff |
| 243 | 2001:db8::74f:2000:0/100 | 2001:db8::74f:2fff:ffff |
| 244 | 2001:db8::74f:3000:0/100 | 2001:db8::74f:3fff:ffff |
| 245 | 2001:db8::74f:4000:0/100 | 2001:db8::74f:4fff:ffff |
| 246 | 2001:db8::74f:5000:0/100 | 2001:db8::74f:5fff:ffff |
| 247 | 2001:db8::74f:6000:0/100 | 2001:db8::74f:6fff:ffff |
| 248 | 2001:db8::74f:7000:0/100 | 2001:db8::74f:7fff:ffff |
| 249 | 2001:db8::74f:8000:0/100 | 2001:db8::74f:8fff:ffff |
| 250 | 2001:db8::74f:9000:0/100 | 2001:db8::74f:9fff:ffff |
| 251 | 2001:db8::74f:a000:0/100 | 2001:db8::74f:afff:ffff |
| 252 | 2001:db8::74f:b000:0/100 | 2001:db8::74f:bfff:ffff |
| 253 | 2001:db8::74f:c000:0/100 | 2001:db8::74f:cfff:ffff |
| 254 | 2001:db8::74f:d000:0/100 | 2001:db8::74f:dfff:ffff |
| 255 | 2001:db8::74f:e000:0/100 | 2001:db8::74f:efff:ffff |
| 256 | 2001:db8::74f:f000:0/100 | 2001:db8::74f:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |